#include <ros/ros.h>
#include <std_msgs/Float64MultiArray.h>


void publish_value() {
    
    return;
}

int main(int argc, char **argv)
{
    ros::init(argc, argv, "signalgen_node"); //registers node with ROS master
    ros::NodeHandle n("~");  //get the handle for node
    ros::Rate loop_rate(50);  //define rate for repeatable operations
    ros::Publisher output_pub; //define the publisher object with global scope
    output_pub = n.advertise<std_msgs::Float64MultiArray>("signal",1); //register with the system that we're publishing to a topic.

    while (ros::ok())
    {
        publish_value();
	ros::spinOnce();  //process all incoming messages
        loop_rate.sleep();  //wait until defined time passes.
    }
}


